﻿@inherits LayoutComponentBase
@inject UserAppState UserAppState
@implements IDisposable

<MudThemeProvider IsDarkMode="true"/>
<MudDialogProvider />
<MudSnackbarProvider />

<MudLayout>
	<MudAppBar>
		<MudStack Row=true>
			<MudIconButton Icon="@Icons.Material.Filled.Menu" Size="Size.Medium" Color="Color.Inherit" Edge="Edge.Start" OnClick="@((e) => DrawerToggle())" />
			<MudText Typo="Typo.h5" Class="my-2">FIO</MudText>
			<AuthenticationComponent />
		</MudStack>
	</MudAppBar>

	<MudDrawer @bind-Open="@_drawerOpen">
		<FIONavMenu/>
	</MudDrawer>

	<MudMainContent>
		<MudContainer MaxWidth="MaxWidth.Medium">
			<br/>
			@Body
		</MudContainer>
	</MudMainContent>
</MudLayout>
